From f106adf94eb6e53976b57d4af6be39af2311b185 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 1 Apr 2025 08:55:11 +0000
Subject: [PATCH] python3-iniconfig: upgrade 2.0.0 -> 2.1.0

---
 .../python/python3-iniconfig_2.0.0.bb         | 13 ----
 .../python/python3-iniconfig_2.1.0.bb         | 65 +++++++++++++++++++
 2 files changed, 65 insertions(+), 13 deletions(-)
 delete mode 100644 meta/recipes-devtools/python/python3-iniconfig_2.0.0.bb
 create mode 100644 meta/recipes-devtools/python/python3-iniconfig_2.1.0.bb

diff --git a/meta/recipes-devtools/python/python3-iniconfig_2.0.0.bb b/meta/recipes-devtools/python/python3-iniconfig_2.0.0.bb
deleted file mode 100644
index 2abeec62f4..0000000000
--- a/meta/recipes-devtools/python/python3-iniconfig_2.0.0.bb
+++ /dev/null
@@ -1,13 +0,0 @@
-SUMMARY = "A small and simple INI-file parser module"
-HOMEPAGE = "https://pypi.org/project/iniconfig/"
-
-LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://LICENSE;md5=a6bb0320b04a0a503f12f69fea479de9"
-
-SRC_URI[sha256sum] = "2d91e135bf72d31a410b17c16da610a82cb55f6b0477d1a902134b24a455b8b3"
-
-DEPENDS += "python3-hatch-vcs-native"
-
-inherit pypi python_hatchling
-
-BBCLASSEXTEND = "native nativesdk"
diff --git a/meta/recipes-devtools/python/python3-iniconfig_2.1.0.bb b/meta/recipes-devtools/python/python3-iniconfig_2.1.0.bb
new file mode 100644
index 0000000000..dc22340e0c
--- /dev/null
+++ b/meta/recipes-devtools/python/python3-iniconfig_2.1.0.bb
@@ -0,0 +1,65 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE
+# +++ LICENSE
+# @@ -1,19 +1,21 @@
+# +The MIT License (MIT)
+#  
+# -  Permission is hereby granted, free of charge, to any person obtaining a copy
+# -  of this software and associated documentation files (the "Software"), to deal
+# -  in the Software without restriction, including without limitation the rights
+# -  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# -  copies of the Software, and to permit persons to whom the Software is
+# -  furnished to do so, subject to the following conditions:
+# -     
+# -  The above copyright notice and this permission notice shall be included in all
+# -  copies or substantial portions of the Software.
+# - 
+# -  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# -  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# -  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# -  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# -  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# -  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# -  SOFTWARE.
+# +Copyright (c) 2010 - 2023 Holger Krekel and others
+#  
+# +Permission is hereby granted, free of charge, to any person obtaining a copy of
+# +this software and associated documentation files (the "Software"), to deal in
+# +the Software without restriction, including without limitation the rights to
+# +use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
+# +of the Software, and to permit persons to whom the Software is furnished to do
+# +so, subject to the following conditions:
+# +
+# +The above copyright notice and this permission notice shall be included in all
+# +copies or substantial portions of the Software.
+# +
+# +THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# +IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# +FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# +AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# +LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# +OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# +SOFTWARE.
+# 
+#
+
+SUMMARY = "A small and simple INI-file parser module"
+HOMEPAGE = "https://pypi.org/project/iniconfig/"
+
+LICENSE = "MIT"
+LIC_FILES_CHKSUM = "file://LICENSE;md5=4a73af4b5f1f3a8731e5def70e8c1254"
+
+SRC_URI[sha256sum] = "3abbd2e30b36733fee78f9c7f7308f2d0050e88f0087fd25c2645f63c773e1c7"
+
+DEPENDS += "python3-hatch-vcs-native"
+
+inherit pypi python_hatchling
+
+BBCLASSEXTEND = "native nativesdk"
-- 
2.47.1

